- content_for :page_specific_javascripts do
  = render "layouts/google_tag_manager_head"
  = render "layouts/one_trust"
= render "layouts/google_tag_manager_body"

- page_title s_("UsageQuota|Usage")

- if show_product_purchase_success_alert?
  = render 'product_purchase_success_alert', product_name: params[:purchased_product]

%h1.page-title
  = s_('UsageQuota|Usage Quotas')

.row
  .col-sm-6
    = s_('UsageQuota|Usage of group resources across the projects in the %{strong_start}%{group_name}%{strong_end} group').html_safe % { strong_start: '<strong>'.html_safe, strong_end: '</strong>'.html_safe, group_name: @group.name }

.top-area.scrolling-tabs-container.inner-page-scroll-tabs
  %ul.nav.nav-tabs.nav-links.scrolling-tabs.separator.js-storage-tabs{ role: 'tablist' }
    %li.nav-item
      %a.nav-link#seats-quota{ data: { toggle: "tab", action: '#seats-quota-tab' }, href: '#seats-quota-tab', 'aria-controls': '#seats-quota-tab', 'aria-selected': true }
        = s_('UsageQuota|Seats')
    %li.nav-item
      %a.nav-link#pipelines-quota{ data: { toggle: "tab", action: '#pipelines-quota-tab' }, href: '#pipelines-quota-tab', 'aria-controls': '#pipelines-quota-tab', 'aria-selected': false }
        = s_('UsageQuota|Pipelines')
    %li.nav-item
      %a.nav-link#storage-quota{ data: { toggle: "tab", action: '#storage-quota-tab' }, href: '#storage-quota-tab', 'aria-controls': '#storage-quota-tab', 'aria-selected': false }
        = s_('UsageQuota|Storage')
.tab-content
  .tab-pane#seats-quota-tab
    #js-seat-usage-app{ data: group_seats_usage_quota_app_data(@group) }
  .tab-pane#pipelines-quota-tab
    - if Feature.enabled?(:usage_quotas_pipelines_vue, @group)
      #js-pipeline-usage-app{ data: pipeline_usage_app_data(@group) }
    - else
      = render "namespaces/pipelines_quota/ci_minutes_report",
        locals: { namespace: @group, projects_usage: @projects_usage }
      #js-ci-minutes-usage-group{ data: { namespace_id: @group.id } }
      = render "namespaces/pipelines_quota/list",
        locals: { namespace: @group, projects_usage: @projects_usage }
  .tab-pane#storage-quota-tab
    #js-storage-counter-app{ data: usage_quotas_storage_app_data(@group) }
